Summary:	Tcl-based scripted 3270 Emulator
Name:		tcl3270
Version:	3.3.6
Release:	%mkrel 2
License:	GPL
Group:		Terminals
URL:		http://www.geocities.com/SiliconValley/Peaks/7814/
Source0:	tcl3270-%{version}.tgz
Requires:	x3270 =< %{version}
BuildRequires:	openssl-devel
Requires:	tcl
BuildRequires:	X11-devel
BuildRequires:	tcl tcl-devel
#BuildRequires:	tclx
BuildRoot:	%{_tmppath}/%{name}-%{pversion}-root

%description
Complete IBM 3278/3279 emulation, TN3270E support, structured
fields, color xterm emulation, highly configurable

%prep

%setup -q -n %{name}-3.3

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

perl -p -i -e "s|/usr/local|/usr|g" configure

%build

%configure2_5x \
    --with-tcl=8.5

#    --with-tclx=8.3

%make %{name}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m755 %{name} %{buildroot}%{_bindir}/
install -m644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html/Build.html html/FAQ.html html/Intro.html html/Lineage.html
%doc html/New.html html/README.html html/tcl3270-man.html README
%doc Examples/cms_cmd.tcl3270
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 3.3.6-2mdv2008.0
+ Revision: 82055
- rebuild for new soname of tcl

* Wed Jun 27 2007 Funda Wang <fundawang@mandriva.org> 3.3.6-1mdv2008.0
+ Revision: 45021
- Build against tcl 8.5
- New version
- Import tcl3270



* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.4p3-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.4p3-2mdk
- rebuilt against openssl-0.9.8a

* Thu Jul 07 2005 Lenny Cartier <lenny@mandriva.com> 3.3.4p3-1mdk
- 3.3.4p3

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.3.2p1-1mdk
- new version
- fix strange perms
- fix deps

* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.20-1mdk
- 3.2.20
- use the %%configure2_5x macro
- fix buildrequires

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2.19-3mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-2mdk
- build release
- misc spec file fixes

* Thu May 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-1mdk
- new version
- misc spec file fixes
- rebuilt with latest system compiler (gcc3.1)

* Tue Jan  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.18-1mdk
- new version

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.17-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial cooker contrib
